.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

SetPlotorigin not working

6 REPLIES 6
Reply
Message 1 of 7
GeeHaa
834 Views, 6 Replies

SetPlotorigin not working

acPlSetVdr.SetPlotRotation(acPlSet, orient) Dim xyoff As Point2d = New Point2d(Convert.ToDouble(Xoff), Convert.ToDouble(Yoff)) If Xoff = "0.0" And Yoff = "0.0" Then '' Center the plot acPlSetVdr.SetPlotCentered(acPlSet, True) Else acPlSetVdr.SetPlotCentered(acPlSet, False) acPlSetVdr.SetPlotOrigin(acPlSet, xyoff) 'MsgBox(acPlSet.PlotOrigin.ToString) End If

 

Hi,

 

Can anyone tell me why the plot origin does not move. It is staying centered even though I set it to 0,3

I'm using a transaction. The msgBox come up with (0,3). Plot rotation works.

 

Thanks in Advance

 

6 REPLIES 6
Message 2 of 7
VB_Autocad_guy
in reply to: GeeHaa

Try doing the 

acPlSetVdr.SetPlotOrigin

statement without an IF statement. See what that does. 

 

Good luck!

 

Message 3 of 7
GeeHaa
in reply to: GeeHaa

Thanks

 

When I step through the code it executes the statements following the else condition. But I tried moving it out- Still does not change the origin. I also checked for a rouge setplotcentered statement. But find did not find anything with the word centered in it other than the if statement.

Message 4 of 7
adadnet
in reply to: GeeHaa

my guess is

 

1. copy the new, validated settings back to the layout;

2. check any collision of settings that directly affect the plot origin, in particular plot area and plot type.

 

felix

Message 5 of 7
GeeHaa
in reply to: GeeHaa

The only thing I am setting is the plot type ->Autodesk.AutoCAD.DatabaseServices.PlotType.Extents

My thinking is if changing the origin pushes part of the plot off the page it should automatically just clip it.

 

Thanks

Message 6 of 7
adadnet
in reply to: GeeHaa

well, that could be it, precisley: plottype.extents is said to print everything within the boundaries of the current space. in turn this could determine the plotorigin. if that holds true, you might have just answered it

Message 7 of 7
GeeHaa
in reply to: GeeHaa

I figured it out. I just remembered the offset is in millimeters so with (0,3) I couldn't tell it moved. I multiplied by 25.4 It works.

 

Thanks for all your help.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost